#!/usr/bin/perl

## Simply gets the files from most recent to oldest  in the directory passed to it in the cmd-line arguments
## and write it to the filelist.txt
## CHANGED: File now gets last 12 hours of files in the given directory (i.e. when run on the CHGHUR directory only
##          recent runs of the models will come up, when run on the CHGHUR/storm directory should pull up everything
##          as those were very recently created.
##          Only possible problem is that the output seems to be arbitrary in order, yet the checkCHGHUR2.pl script
##          seems to be processing the data still in the newest=>oldest order, though I can't see why.

open(DAT,">filelist.txt")||die("File cannot be opened");
chdir "$ARGV[0]";
my @file = `find -mmin -720 -type f -maxdepth 1`;  
foreach (@file)
{
  print DAT $_;
}
print "Files listed.\n";
exit;
