#!/usr/lib/perl5 -w

## Change to the working directory on the local box
chdir "cliqrwork/cliqr";
## Open the original results file
open(DAT,"cliqrout.txt")||die("File cannot be opened");
@data=<DAT>;
## If the results file is of nonzero size...
if (-s "cliqrout.txt")
{
  my $i=0;
  my @uniquelist={};

  foreach $line(@data) 
  {
   chomp $line;
   $points[$i]=$line;
    $i++;
  }
  close DAT;
  ## Very first line must be a unique entry 
  $uniquelist[0]=$points[0];
  ## for each point in the original file go through each point in the unique-list file
  ## If the first 16 chars match, then the storm name/num are the same and it's declared a duplicate
  ## If it is determined to be unique, then add it to the unique-list
  foreach $line(@points)
  {
    $unique="TRUE";
    foreach (@uniquelist)
    {
      if (substr($line,0,16) eq substr($_,0,16))
      {
        $unique="FALSE";
      }
    }
    if($unique eq "TRUE")
    {
      push(@uniquelist,$line);
    }
  }
  ## Write the unique-list down to the unique results file
  open(OUT,">cliqroutuniq.txt");
  foreach(@uniquelist)
  {
    print OUT $_."\n";
  }
} else {
## Print "No results found" if the original results file is of zero size
    open(OUT,">cliqroutuniq.txt");
    print OUT "No results found.";
}
close OUT
